Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.buildinit.tasks
[Groovy] Class InitBuild

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.buildinit.tasks.InitBuild

    @Incubating
    class InitBuild
    extends DefaultTask

Generates a Gradle project structure.

Property Summary
`ProjectLayoutSetupRegistry` | `projectLayoutRegistry`

Method Summary
`List` | `getAvailableBuildTypes()`
`ProjectLayoutSetupRegistry` | `getProjectLayoutRegistry()`
`String` | `getType()` The desired type of build to create, defaults to {@value BuildInitTypeIds#POM} if 'pom.xml' is found in project root if no pom.xml is found, it defaults to {@value BuildInitTypeIds#BASIC}.
`void` | `setType(String type)`
`void` | `setupProjectLayout()`

Property Detail

### projectLayoutRegistry

    ProjectLayoutSetupRegistry projectLayoutRegistry

Method Detail

### getAvailableBuildTypes

    @OptionValues("type")
    List getAvailableBuildTypes()

### getProjectLayoutRegistry

    ProjectLayoutSetupRegistry getProjectLayoutRegistry()

### getType

    String getType()

  The desired type of build to create, defaults to {
  value:
    BuildInitTypeIds#POM} if 'pom.xml' is found in project root if no pom.xml is found, it defaults to {@value BuildInitTypeIds#BASIC}. This property can be set via command-line option '--type'.

### setType

    @Option(option = "type", description = "Set type of build to create.")
    void setType(String type)

### setupProjectLayout

    @TaskAction
    void setupProjectLayout()

Gradle API 1.10